function [fitparams, fval, showuphat_return, induced_lambda_return, exitflag] = run_GMM(  params_in, eta_sd, delta, Whalf, delta_mom )
%UNTITLED6 Summary of this function goes here
%   Detailed explanation goes here

% lower and upper bounds for all the parameters
lb1 = [-200000,     0, 0.001,  0, -2];
ub1 = [ 200000, 200000, 0.999, 20,  1];

options2 = optimset('Display','off');

% run lsqnonlin
[fitparams,fval,~,exitflag] = ...
    lsqnonlin(@(x)GMM_obj(x, eta_sd, delta, Whalf,delta_mom),params_in,lb1,ub1,options2);

% return showup_hat_return
[ showuphat_return, induced_lambda_return ] = showuphat(fitparams(1), fitparams(2), fitparams(3), fitparams(4), fitparams(5), eta_sd, delta);


end

